@import url('https://fonts.googleapis.com/css2?family=Exo+2:ital,wght@0,100..900;1,100..900&family=Space+Grotesk:wght@300..700&display=swap');
body {

  font-family: "Space Grotesk", serif !important;
  font-optical-sizing: auto;
  font-style: normal;
}

.disabled {
    cursor: not-allowed !important;
    opacity: 0.2 !important; /* Makes it look more disabled */
    pointer-events: none !important; /* Prevents clicks */
}

.admin__card_title_black h4 {
    font-weight: 700;
    font-size: 18px;
}
#loader-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7); /* Dark transparent background */
    z-index: 999999;
    display: none; /* Hidden by default */
    align-items: center;
    justify-content: center;
}

.loader-container {
    text-align: center;
    background: rgba(255, 255, 255, 0.1); /* Slightly transparent background */
    padding: 20px;
    border-radius: 10px;
}
.dt-button{
    display: inline-block;
font-weight: 400;
text-align: center;
white-space: nowrap;
vertical-align: middle;
user-select: none;
border: 1px solid transparent;
border-top-color: transparent;
border-right-color: transparent;
border-bottom-color: transparent;
border-left-color: transparent;
padding: .375rem .75rem;
font-size: 1rem;
line-height: 1.5;
border-radius: .25rem;
transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-o;
color: #fff;
background-color: #007bff;
border-color: #007bff;
}
.main-back{
    cursor: pointer;
}

.heading-permission
{
    background-color: rgb(215, 215, 215);
    padding: 8px;
    font-size:15px ;
    color: #2a375c;
}

select.form-control {
    appearance: auto !important; /* Resets to default */
    -webkit-appearance: auto !important; /* Ensures it works on Webkit browsers */
    -moz-appearance: auto !important; /* Ensures it works on Firefox */
}


.btn i {
    margin-left: 0px !important;
}



/*Style 3*/
.switch {
	display: inline-block;
	height:28px;
	position: relative;
	width:60px;
}
.switch input {
	display: none;
}
.slider {
	background-color: #ccc;
	bottom: 0;
	cursor: pointer;
	left: 0;
	position: absolute;
	right: 0;
	top: 0;
	transition: .4s;
}
.slider:before {
	background-color: #fff;
	bottom: 4px;
	content: "";
	height:20px;
	left: 10px;
	position: absolute;
	transition: .4s;
	width:20px;
}
input:checked + .slider {
	background-color: #66bb6a;
}
input:checked + .slider:before {
	transform: translateX(22px);
}
.slider.round {
	border-radius: 34px;
}
.slider.round:before {
	border-radius: 50%;
}

.select2-container .select2-selection--single {
    background-color: aliceblue !important;
}

.select2-container .select2-selection--single {
        height: 37px !important;
        border-radius: 4px;
        padding: .375rem .75rem;
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #212529;
        background-color: #fff;
        background-clip: padding-box;
        border: 1px solid #ced4da;
    }

    .select2-container--default .select2-selection--single .select2-selection__rendered {
        line-height: 24px !important;
    }

    .select2-container--default .select2-selection--single .select2-selection__arrow {
        height: 36px !important;
        top: 1px;
    }

    .select2-container--default .select2-results__option:hover {
        background-color: #2a375c !important;
        color: white !important;
    }

    .select2-container--default .select2-results__option[aria-selected=true] {
        background-color: #2a375c !important;
        color: white !important;
    }

.modal-header-bg
{
    background-color: #2a375c !important;
}